# Directory containing class headers.
SET(VTK_XDMF_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/paraview-3.10")

# Classes in vtkXdmf.
SET(VTK_XDMF_CLASSES
  "vtkSILBuilder"
  "vtkXdmfDataArray"
  "vtkXdmfHeavyData"
  "vtkXdmfReader"
  "vtkXdmfReaderInternal"
  "vtkXdmfWriter"
  "vtkXdmfRenderWindowInteractor")

# Abstract classes in vtkXdmf.
SET(VTK_XDMF_CLASSES_ABSTRACT)

# Wrap-exclude classes in vtkXdmf.
SET(VTK_XDMF_CLASSES_WRAP_EXCLUDE
  "vtkXdmfDataArray"
  "vtkXdmfHeavyData"
  "vtkXdmfReaderInternal")

# Wrap-special classes in vtkXdmf.
SET(VTK_XDMF_CLASSES_WRAP_SPECIAL)

# Wrappable non-class headers for vtkXdmf.
SET(VTK_XDMF_WRAP_HEADERS)

# Set convenient variables to test each class.
FOREACH(class ${VTK_XDMF_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_XDMF_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_XDMF_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_XDMF_CLASSES_WRAP_SPECIAL})
  SET(VTK_CLASS_WRAP_SPECIAL_${class} 1)
ENDFOREACH(class)
